| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::AbstractClientHandler::Capabilities Class Reference
Client proxies

The AbstractClientHandler::Capabilities class provides a wrapper around the capabilities of a handler. More...

`#include <TelepathyQt/AbstractClientHandler>`

List of all members.

## Public Member Functions

- Capabilities (const QStringList &tokens=QStringList())
- Capabilities (const Capabilities &other)
- ~Capabilities ()
- Capabilities & operator= (const Capabilities &other)
- bool hasGTalkP2PNATTraversalToken () const
- void setGTalkP2PNATTraversalToken ()
- void unsetGTalkP2PNATTraversalToken ()
- bool hasICEUDPNATTraversalToken () const
- void setICEUDPNATTraversalToken ()
- void unsetICEUDPNATTraversalToken ()
- bool hasWLM85NATTraversalToken () const
- void setWLM85NATTraversalToken ()
- void unsetWLM85NATTraversalToken ()
- bool hasWLM2009NATTraversalToken () const
- void setWLM2009NATTraversalToken ()
- void unsetWLM2009NATTraversalToken ()
- bool hasAudioCodecToken (const QString &mimeSubType) const
- void setAudioCodecToken (const QString &mimeSubType)
- void unsetAudioCodecToken (const QString &mimeSubType)
- bool hasVideoCodecToken (const QString &mimeSubType) const
- void setVideoCodecToken (const QString &mimeSubType)
- void unsetVideoCodecToken (const QString &mimeSubType)
- bool hasToken (const QString &token) const
- void setToken (const QString &token)
- void unsetToken (const QString &token)
- QStringList allTokens () const

## Detailed Description

The AbstractClientHandler::Capabilities class provides a wrapper around the capabilities of a handler.

See also:
  AbstractClientHandler

## Constructor & Destructor Documentation

Tp::AbstractClientHandler::Capabilities::Capabilities | ( | const QStringList & | tokens = `QStringList()` | ) |

Tp::AbstractClientHandler::Capabilities::Capabilities | ( | const Capabilities & | other | ) |

Tp::AbstractClientHandler::Capabilities::~Capabilities | ( |  | ) |

## Member Function Documentation

AbstractClientHandler::Capabilities & Tp::AbstractClientHandler::Capabilities::operator= | ( | const Capabilities & | other | ) |

bool Tp::AbstractClientHandler::Capabilities::hasGTalkP2PNATTraversalToken | ( |  | ) | const`[inline]`

void Tp::AbstractClientHandler::Capabilities::setGTalkP2PNATTraversalToken | ( |  | ) | `[inline]`

void Tp::AbstractClientHandler::Capabilities::unsetGTalkP2PNATTraversalToken | ( |  | ) | `[inline]`

bool Tp::AbstractClientHandler::Capabilities::hasICEUDPNATTraversalToken | ( |  | ) | const`[inline]`

void Tp::AbstractClientHandler::Capabilities::setICEUDPNATTraversalToken | ( |  | ) | `[inline]`

void Tp::AbstractClientHandler::Capabilities::unsetICEUDPNATTraversalToken | ( |  | ) | `[inline]`

bool Tp::AbstractClientHandler::Capabilities::hasWLM85NATTraversalToken | ( |  | ) | const`[inline]`

void Tp::AbstractClientHandler::Capabilities::setWLM85NATTraversalToken | ( |  | ) | `[inline]`

void Tp::AbstractClientHandler::Capabilities::unsetWLM85NATTraversalToken | ( |  | ) | `[inline]`

bool Tp::AbstractClientHandler::Capabilities::hasWLM2009NATTraversalToken | ( |  | ) | const`[inline]`

void Tp::AbstractClientHandler::Capabilities::setWLM2009NATTraversalToken | ( |  | ) | `[inline]`

void Tp::AbstractClientHandler::Capabilities::unsetWLM2009NATTraversalToken | ( |  | ) | `[inline]`

bool Tp::AbstractClientHandler::Capabilities::hasAudioCodecToken | ( | const QString & | mimeSubType | ) | const`[inline]`

void Tp::AbstractClientHandler::Capabilities::setAudioCodecToken | ( | const QString & | mimeSubType | ) | `[inline]`

void Tp::AbstractClientHandler::Capabilities::unsetAudioCodecToken | ( | const QString & | mimeSubType | ) | `[inline]`

bool Tp::AbstractClientHandler::Capabilities::hasVideoCodecToken | ( | const QString & | mimeSubType | ) | const`[inline]`

void Tp::AbstractClientHandler::Capabilities::setVideoCodecToken | ( | const QString & | mimeSubType | ) | `[inline]`

void Tp::AbstractClientHandler::Capabilities::unsetVideoCodecToken | ( | const QString & | mimeSubType | ) | `[inline]`

bool Tp::AbstractClientHandler::Capabilities::hasToken | ( | const QString & | token | ) | const

void Tp::AbstractClientHandler::Capabilities::setToken | ( | const QString & | token | ) |

void Tp::AbstractClientHandler::Capabilities::unsetToken | ( | const QString & | token | ) |

QStringList Tp::AbstractClientHandler::Capabilities::allTokens | ( |  | ) | const